# Uses of Class
net.shibboleth.idp.cas.attribute.Attribute

Packages that use Attribute
Package
Description
net.shibboleth.idp.cas.attribute
APIs for CAS attribute support.
net.shibboleth.idp.cas.attribute.transcoding.impl
Implementation classes for CAS attribute support.
net.shibboleth.idp.cas.flow.impl
CAS protocol flow implementations.
net.shibboleth.idp.cas.protocol
APIs related to the CAS protocol.

## Uses of Attribute in net.shibboleth.idp.cas.attribute

Methods in net.shibboleth.idp.cas.attribute that return Attribute
Modifier and Type
Method
Description
`Attribute`
AbstractCASAttributeTranscoder.`doEncode(ProfileRequestContext profileRequestContext, IdPAttribute attribute, Class<? extends Attribute> to, TranscodingRule rule)`
Methods in net.shibboleth.idp.cas.attribute that return types with arguments of type Attribute
Modifier and Type
Method
Description
`Class<Attribute>`
AbstractCASAttributeTranscoder.`getEncodedType()`
Methods in net.shibboleth.idp.cas.attribute with parameters of type Attribute
Modifier and Type
Method
Description
`String`
AbstractCASAttributeTranscoder.NamingFunction.`apply(Attribute input)`
`protected IdPAttribute`
AbstractCASAttributeTranscoder.`buildIdPAttribute(ProfileRequestContext profileRequestContext, Attribute attribute, TranscodingRule rule, List<IdPAttributeValue> attributeValues)`
Builds an `IdPAttribute` from the given values.
`protected abstract IdPAttributeValue`
AbstractCASAttributeTranscoder.`decodeValue(ProfileRequestContext profileRequestContext, Attribute attribute, TranscodingRule rule, String value)`
Function to decode a single string value into an `IdPAttributeValue`.
`IdPAttribute`
AbstractCASAttributeTranscoder.`doDecode(ProfileRequestContext profileRequestContext, Attribute input, TranscodingRule rule)`
Method parameters in net.shibboleth.idp.cas.attribute with type arguments of type Attribute
Modifier and Type
Method
Description
`Attribute`
AbstractCASAttributeTranscoder.`doEncode(ProfileRequestContext profileRequestContext, IdPAttribute attribute, Class<? extends Attribute> to, TranscodingRule rule)`

## Uses of Attribute in net.shibboleth.idp.cas.attribute.transcoding.impl

Methods in net.shibboleth.idp.cas.attribute.transcoding.impl with parameters of type Attribute
Modifier and Type
Method
Description
`protected IdPAttributeValue`
CASDateTimeAttributeTranscoder.`decodeValue(ProfileRequestContext profileRequestContext, Attribute attribute, TranscodingRule rule, String value)`
Function to decode a single string value into an `IdPAttributeValue`.
`protected IdPAttributeValue`
CASScopedStringAttributeTranscoder.`decodeValue(ProfileRequestContext profileRequestContext, Attribute attribute, TranscodingRule rule, String value)`
Function to decode a single string value into an `IdPAttributeValue`.
`protected IdPAttributeValue`
CASStringAttributeTranscoder.`decodeValue(ProfileRequestContext profileRequestContext, Attribute attribute, TranscodingRule rule, String value)`
Function to decode a single string value into an `IdPAttributeValue`.

## Uses of Attribute in net.shibboleth.idp.cas.flow.impl

Method parameters in net.shibboleth.idp.cas.flow.impl with type arguments of type Attribute
Modifier and Type
Method
Description
`protected int`
PrepareTicketValidationResponseAction.`encodeAttribute(AttributeTranscoderRegistry registry, ProfileRequestContext profileRequestContext, IdPAttribute attribute, Collection<Attribute> results)`
Access the registry of transcoding rules to transform the input attribute into a target type.

## Uses of Attribute in net.shibboleth.idp.cas.protocol

Fields in net.shibboleth.idp.cas.protocol with type parameters of type Attribute
Modifier and Type
Field
Description
`private final List<Attribute>`
TicketValidationResponse.`attributes`
User attributes.
Methods in net.shibboleth.idp.cas.protocol that return types with arguments of type Attribute
Modifier and Type
Method
Description
`Collection<Attribute>`
TicketValidationResponse.`getAttributes()`
Get the immutable collection of user attributes.
Methods in net.shibboleth.idp.cas.protocol with parameters of type Attribute
Modifier and Type
Method
Description
`void`
TicketValidationResponse.`addAttribute(Attribute attribute)`
Add an attribute to the attribute collection.